Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAPackage
Class WrongPolicy

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.PortableServer.POAPackage.WrongPolicy

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class WrongPolicy
extends UserException

Exception definition : WrongPolicy

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Constructor Summary
`WrongPolicy()` Default constructor
`WrongPolicy(java.lang.String orb_reason)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongPolicy

    public WrongPolicy()

  Default constructor

### WrongPolicy

    public WrongPolicy(java.lang.String orb_reason)

  Full constructor with fields initialization

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD